package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.AmsSaleOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/26 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/amssaleorder")
public class AmsSaleOrderController extends BaseRESTfulController {

    @Autowired
    AmsSaleOrderServiceImpl amsSaleOrderService;

    /**
     * 销售订单管理对接接口/查询
     *
     * @param saleOrderId
     * @return
     */
    @ApiModelProperty(value = "销售订单管理对接接口/查询")
    @PostMapping("/getSaleOrder")
    public RESTfulResult getSaleOrder(@RequestParam BigDecimal saleOrderId) {
        Map<String,Object> mapValue = amsSaleOrderService.getSaleOrder(saleOrderId);
        return success(mapValue);
    }

    /**
     * 销售订单管理对接接口/修改
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "销售订单管理对接接口/修改")
    @PostMapping("/operationSaleOrder")
    public RESTfulResult operationSaleOrder(@RequestBody Map<String, Object> mapVal) {
        int result = amsSaleOrderService.operationSaleOrder(mapVal);
        return success(result);
    }







}
