package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.RmsConsigneeServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/22 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/rmsconsignee")
public class RmsConsigneeController extends BaseRESTfulController {

    @Autowired
    RmsConsigneeServiceImpl rmsConsigneeService;

    /**
     * 收货客户管理对接接口
     *
     * @param mapVal
     * @return
     */
    @ApiModelProperty(value = "收货客户管理对接接口")
    @PostMapping("/operationConsignee")
    public RESTfulResult operationConsignee(@RequestBody Map<String, Object> mapVal) {
        int result = rmsConsigneeService.operationConsignee(mapVal);
        return success(result);
    }



}
