package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.TmstruckWeightResultServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/10/25 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/tmstruckweightresult")
public class TmstruckWeightResultController extends BaseRESTfulController {

    @Autowired
    TmstruckWeightResultServiceImpl tmstruckWeightResultService;

    /**
     * 接收计量实绩(计量实绩)
     *
     * @param mapValue
     * @return
     */
    @ApiModelProperty(value = "接收计量实绩")
    @ApiOperation(value="接收计量实绩")
    @ApiParam(name = "orderNumber")
    @ApiImplicitParams({
            @ApiImplicitParam(
                    name = "orderNumber",value = "运输订单号",required = true,dataType = "String"
            ),
            @ApiImplicitParam(
                    name = "tareCalculateNumber",value = "计皮汽车衡编号",required = true,dataType = "String"
            ),
            @ApiImplicitParam(
                    name = "grossCalculatedNumber",value = "计毛汽车衡编号",required = true,dataType = "String"
            ),
            @ApiImplicitParam(
                    name = "resultTareWeight",value = "皮重",required = true,dataType = "Double"
            ),
            @ApiImplicitParam(
                    name = "resultTareWeightTime",value = "计皮时间",required = true,dataType = "Date"
            ),
            @ApiImplicitParam(
                    name = "resultFrossWeight",value = "皮重",required = true,dataType = "Double"
            ),
            @ApiImplicitParam(
                    name = "resultGrossWeightTime",value = "计毛时间",required = true,dataType = "Date"
            ),
            @ApiImplicitParam(
                    name = "resultNetWeight",value = "净重",required = true,dataType = "Double"
            )
    }

    )

    @PostMapping("/receiveTmsTruckWeightResult")
    public RESTfulResult receiveTmsTruckWeightResult(@RequestBody Map<String,Object> mapValue) {
        int result = tmstruckWeightResultService.receiveTmsTruckWeightResult(mapValue);
        return success();
    }


}
