package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.AmsSaleOrderMapper;
import com.steerinfo.dil.model.AmsSaleOrder;
import com.steerinfo.dil.service.IAmsSaleOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * AmsSaleOrder服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-26 07:26
 * 类描述
 * 修订历史：
 * 日期：2021-10-26
 * 作者：generator
 * 参考：
 * 描述：AmsSaleOrder服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "amsSaleOrderService")
public class AmsSaleOrderServiceImpl implements IAmsSaleOrderService {

    @Autowired
    private AmsSaleOrderMapper amsSaleOrderMapper;

    /**
     * 查询销售订单
     * @param saleOrderId
     * @return
     */
    @Override
    public Map<String, Object> getSaleOrder(BigDecimal saleOrderId) {
        List<Map<String,Object>> truckNoList = amsSaleOrderMapper.getTruckNo(saleOrderId);
        Map<String,Object> mapValue = amsSaleOrderMapper.getSaleOrderMessage(saleOrderId);
        mapValue.put("truckNoList",truckNoList);
        return mapValue;
    }

    /**
     * 修改销售订单
     * @param mapVal
     * @return
     */
    @Override
    public int operationSaleOrder(Map<String, Object> mapVal) {
        // 得到销售订单号
        String saleNumber = (String) mapVal.get("saleNumber");
        // 得到账户余额
        Double saleAccountBalance = (Double) mapVal.get("saleAccountBalance");
        // 得到当前订单金额
        Double saleCurrentOrderAmount = (Double) mapVal.get("saleCurrentOrderAmount");
        // 得到历史订单金额
        Double saleHistoricalOrderAmount = (Double) mapVal.get("saleHistoricalOrderAmount");
        // 得到主键id
        Map<String,Object> map = new HashMap<>();
        map.put("saleNumber",saleNumber);
        List<AmsSaleOrder> amsSaleOrders = amsSaleOrderMapper.selectByParameters(map);
        AmsSaleOrder amsSaleOrder = amsSaleOrders.get(0);
        amsSaleOrder.setSaleNumber(saleNumber);
        amsSaleOrder.setSaleAccountBalance(new BigDecimal(saleAccountBalance));
        amsSaleOrder.setSaleCurrentOrderAmount(new BigDecimal(saleCurrentOrderAmount));
        amsSaleOrder.setSaleHistoricalOrderAmount(new BigDecimal(saleHistoricalOrderAmount));
        return amsSaleOrderMapper.updateByPrimaryKeySelective(amsSaleOrder);
    }
}
