package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmstruckStatementMapper;
import com.steerinfo.dil.service.IBmstruckStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstruckStatement服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-27 04:14
 * 类描述
 * 修订历史：
 * 日期：2021-10-27
 * 作者：generator
 * 参考：
 * 描述：BmstruckStatement服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstruckStatementService")
public class BmstruckStatementServiceImpl implements IBmstruckStatementService {

    @Autowired
    private BmstruckStatementMapper bmstruckStatementMapper;

    /**
     * 得到汽运账单
     * @param statementId
     * @return
     */
    @Override
    public Map<String, Object> getStatement(Integer statementId) {
        Map<String,Object> mapValue = bmstruckStatementMapper.getStatement(new BigDecimal(statementId));
        List<Map<String,Object>> mapList = bmstruckStatementMapper.getCarrierAndReceiver(new BigDecimal(statementId));
        String amountType = "销售汽运";
        mapValue.put("amountType",amountType);
        Map<String, Object> map = mapList.get(0);
        mapValue.putAll(map);
        return mapValue;
    }

    /**
     * 修改账单信息
     * @param mapValue
     * @return
     */
    @Override
    public int updateStatement(Map<String, Object> mapValue) {
        String statementNumber = (String) mapValue.get("statementNumber");
        List<Map<String,Object>> detailsNumberList = (List<Map<String, Object>>) mapValue.get("detailsNumberList");
        Double amount = (Double) mapValue.get("amount");
        String remark = (String) mapValue.get("remark");
        return 0;
    }
}
