package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.model.TmstruckWeightResult;
import com.steerinfo.dil.mapper.TmstruckWeightResultMapper;
import com.steerinfo.dil.service.ITmstruckWeightResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.Map;

/**
 * TmstruckWeightResult服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-25 02:28
 * 类描述
 * 修订历史：
 * 日期：2021-10-25
 * 作者：generator
 * 参考：
 * 描述：TmstruckWeightResult服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "tmstruckWeightResultService")
public class TmstruckWeightResultServiceImpl implements ITmstruckWeightResultService {

    @Autowired
    TmstruckWeightResultMapper tmstruckWeightResultMapper;

    /**
     * 接收计量实绩信息
     * @param mapValue
     * @return
     */
    @Override
    public int receiveTmsTruckWeightResult(Map<String, Object> mapValue) {
        // 得到运输订单号
        String orderNumber = (String) mapValue.get("orderNumber");
        BigDecimal weightTaskResultId = tmstruckWeightResultMapper.getWeightTaskResultId(orderNumber);
        // 得到计皮汽车衡编号
        String tareCalculateNumber = (String) mapValue.get("tareCalculateNumber");
        BigDecimal resultTarePlaceId = tmstruckWeightResultMapper.getTruckCalculateId(tareCalculateNumber);
        // 得到计毛汽车衡编号
        String grossCalculateNumber = (String) mapValue.get("grossCalculateNumber");
        BigDecimal resultGrossPlaceId = tmstruckWeightResultMapper.getTruckCalculateId(grossCalculateNumber);
        // 得到皮重
        Double resultTareWeight = (Double) mapValue.get("resultTareWeight");
        // 得到计皮时间
        Date resultTareWeightTime = (Date) mapValue.get("resultTareWeightTime");
        // 得到毛重
        Double resultGrossWeight = (Double)mapValue.get("resultGrossWeight");
        // 得到计毛时间
        Date resultGrossWeightTime = (Date) mapValue.get("resultGrossWeightTime");
        // 得到净重
        Double resultNetWeight = (Double)mapValue.get("resultNetWeight");
        TmstruckWeightResult tmstruckWeightResult = new TmstruckWeightResult();
        tmstruckWeightResult.setWeightTaskResultId(weightTaskResultId);
        tmstruckWeightResult.setResultTareWeight(new BigDecimal(resultTareWeight));
        tmstruckWeightResult.setResultTareWeightTime(resultTareWeightTime);
        tmstruckWeightResult.setResultGrossWeight(new BigDecimal(resultGrossWeight));
        tmstruckWeightResult.setResultGrossWeightTime(resultGrossWeightTime);
        tmstruckWeightResult.setResultNetWeight(new BigDecimal(resultNetWeight));
        tmstruckWeightResult.setResultGrossPlaceId(resultGrossPlaceId);
        tmstruckWeightResult.setResultTarePlaceId(resultTarePlaceId);
        int result = tmstruckWeightResultMapper.updateByPrimaryKeySelective(tmstruckWeightResult);
        return result;
    }
}
